QRコード
GET https://qrcloud.online/api/qr-codes/
curl --request GET \
--url 'https://qrcloud.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索対象のフィールドは何ですか。許可される値は:name です。 |
| type | オプション 文字列 | 検索対象のフィールドは何ですか。許可される値は:text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix です。 |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時からフィルタ結果を開始します。Y-m-d H:i:s形式。 |
| datetime_end | オプション 文字列 | この日時までの結果をフィルタリングします。 Y-m-d H:i:s 形式。 |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は qr_code_id, datetime, last_datetime, name, type です。 |
| order_type | オプション 文字列 | 結果の順序。許可される値は: ASC 昇順の並び替え用、および DESC 降順の並び替え用。 |
| page | オプション 整数 | 求めるページ番号からの結果です。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりに表示したい結果の数。許可されている値は: 10, 25, 50, 100, 250, 500, 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://qrcloud.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-05-20 05:34:24",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/qr-codes?page=1",
"last": "https://qrcloud.online/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/qr-codes?page=1"
}
}
GET https://qrcloud.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://qrcloud.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://qrcloud.online/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-05-20 05:34:24",
}
}
POST https://qrcloud.online/api/qr-codes
| パラメータ | 詳細 | 説明 |
|---|---|---|
curl --request POST \
--url 'https://qrcloud.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qrcloud.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://qrcloud.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcloud.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \